# Books API . cloudloading

## Instance Methods

Remove the book and its contents

### Method Details

`addBook(upload_client_token=None, name=None, drive_document_id=None, mime_type=None)`

    Args:
      upload_client_token: string, A parameter
      name: string, The document name. It can be set only if the drive_document_id is set.
      drive_document_id: string, A drive document id. The upload_client_token must not be set.
      mime_type: string, The document MIME type. It can be set only if the drive_document_id is set.

    Returns:
      An object of the form:

        {
        "title": "A String",
        "processingState": "A String",
        "volumeId": "A String",
        "author": "A String",
      }

`deleteBook(volumeId)`

    Remove the book and its contents

    Args:
      volumeId: string, The id of the book to be removed. (required)

`updateBook(body)`

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
      "title": "A String",
      "processingState": "A String",
      "volumeId": "A String",
      "author": "A String",
    }

    Returns:
      An object of the form:

        {
        "title": "A String",
        "processingState": "A String",
        "volumeId": "A String",
        "author": "A String",
      }